
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java使用smartupload组件实现文件上传的方法 / iVAN</title>

    <meta name="description" content="java使用smartupload组件实现文件上传的方法  这篇文章主要介绍了java使用smartupload组件实现文件上传的方法,对比分析了使用组件与不使用组件实现文件上传的区别,具有一定参考借鉴价值,需要的朋友可以参考下 本文实例讲述了java使用smartupload组件实现文件上传的方法.分享给大家供大家参考.具体分析如下: 文件上传几乎是所有网站都具有的功能,用户可以将文件上传到服务器的指定文件夹中,也可以保存在数据库中,这里主要说明smartupload组件上传. 在讲解smartupload上传前,我们先来看看不使用组件是怎么完成上传">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java使用smartupload组件实现文件上传的方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 这篇文章主要介绍了java使用smartupload组件实现文件上传的方法,对比分析了使用组件与不使用组件实现文件上传的区别,具有一定参考借鉴价值,需要的朋友可以参考下</p>
<p>本文实例讲述了java使用smartupload组件实现文件上传的方法。分享给大家供大家参考。具体分析如下：</p>
<p>文件上传几乎是所有网站都具有的功能，用户可以将文件上传到服务器的指定文件夹中，也可以保存在数据库中，这里主要说明smartupload组件上传。</p>
<p>在讲解smartupload上传前，我们先来看看不使用组件是怎么完成上传的原理的？</p>
<p>废话不多说直接上代码：</p>
<p>代码如下:<br />
import java.io.*;<br />
import  java.util.*;<br />
import javax.servlet.http.HttpServletRequest;<br />
import  org.apache.commons.fileupload.FileItem;<br />
import  org.apache.commons.fileupload.FileUploadException;<br />
import  org.apache.commons.fileupload.disk.DiskFileItemFactory;<br />
import  org.apache.commons.fileupload.servlet.ServletFileUpload;<br />
public class  FileUploadTools {<br />
private HttpServletRequest request = null; //  取得HttpServletRequest对象<br />
private List&lt;FileItem&gt; items = null; //  保存全部的上传内容<br />
private Map&lt;String, List&lt;String&gt;&gt; params = new  HashMap&lt;String, List&lt;String&gt;&gt;();    // 保存所有的参数<br />
private  Map&lt;String, FileItem&gt; files = new HashMap&lt;String,  FileItem&gt;();<br />
private int maxSize = 3145728;                 //  默认的上传文件大小为3MB，3 * 1024 * 1024<br />
public FileUploadTools(HttpServletRequest  request, int maxSize,<br />
String tempDir) throws Exception {    //  传递request对象、最大上传限制、临时保存目录<br />
this.request = request;                 //  接收request对象<br />
DiskFileItemFactory factory = new DiskFileItemFactory();  // 创建磁盘工厂<br />
if (tempDir != null) {                     //  判断是否需要进行临时上传目录<br />
factory.setRepository(new File(tempDir)); //  设置临时文件保存目录<br />
}<br />
ServletFileUpload upload = new  ServletFileUpload(factory); // 创建处理工具<br />
if (maxSize &gt; 0)  {                        // 如果给的上传大小限制大于0，则使用新的设置<br />
this.maxSize =  maxSize;<br />
}<br />
upload.setFileSizeMax(this.maxSize);     //  设置最大上传大小为3MB，3 * 1024 * 1024<br />
try {<br />
this.items =  upload.parseRequest(request);// 接收全部内容<br />
} catch (FileUploadException  e) {<br />
throw e;                             // 向上抛出异常<br />
}<br />
this.init();                             // 进行初始化操作<br />
}<br />
private void init() {                        // 初始化参数，区分普通参数或上传文件<br />
Iterator&lt;FileItem&gt; iter = this.items.iterator();<br />
IPTimeStamp  its = new IPTimeStamp(this.request.getRemoteAddr()) ;<br />
while  (iter.hasNext()) {                // 依次取出每一个上传项<br />
FileItem item =  iter.next();         // 取出每一个上传的文件<br />
if (item.isFormField())  {             // 判断是否是普通的文本参数<br />
String name =  item.getFieldName(); // 取得表单的名字<br />
String value =  item.getString(); // 取得表单的内容<br />
List&lt;String&gt; temp =  null;         // 保存内容<br />
if (this.params.containsKey(name)) { //  判断内容是否已经存放<br />
temp = this.params.get(name); //  如果存在则取出<br />
} else {                        //  不存在<br />
temp = new ArrayList&lt;String&gt;(); //  重新开辟List数组<br />
}<br />
temp.add(value);                 // 向List数组中设置内容<br />
this.params.put(name, temp);     // 向Map中增加内容<br />
} else  {                             // 判断是否是file组件<br />
String fileName  = its.getIPTimeRand()<br />
+ "." +  item.getName().split(".")[1];<br />
this.files.put(fileName,  item); // 保存全部的上传文件<br />
}<br />
}<br />
}<br />
public String  getParameter(String name) {     // 取得一个参数<br />
String ret =  null;                         // 保存返回内容<br />
List&lt;String&gt; temp =  this.params.get(name); // 从集合中取出内容<br />
if (temp != null)  {                        // 判断是否可以根据key取出内容<br />
ret =  temp.get(0);                     // 取出里面的内容<br />
}<br />
return  ret;<br />
}<br />
public String[] getParameterValues(String name) { //  取得一组上传内容<br />
String ret[] = null;                     //  保存返回内容<br />
List&lt;String&gt; temp = this.params.get(name); //  根据key取出内容<br />
if (temp != null) {                        //  避免NullPointerException<br />
ret = temp.toArray(new String[] {});//  将内容变为字符串数组<br />
}<br />
return ret;                             //  变为字符串数组<br />
}<br />
public Map&lt;String, FileItem&gt; getUploadFiles() {//  取得全部的上传文件<br />
return this.files;                         //  得到全部的上传文件<br />
}<br />
public List&lt;String&gt; saveAll(String saveDir)  throws IOException { // 保存全部文件，并返回文件名称，所有异常抛出<br />
List&lt;String&gt;  names = new ArrayList&lt;String&gt;();<br />
if (this.files.size() &gt; 0)  {<br />
Set&lt;String&gt; keys = this.files.keySet(); //  取得全部的key<br />
Iterator&lt;String&gt; iter = keys.iterator(); //  实例化Iterator对象<br />
File saveFile = null;                 //  定义保存的文件<br />
InputStream input = null;             //  定义文件的输入流，用于读取源文件<br />
OutputStream out = null;             //  定义文件的输出流，用于保存文件<br />
while (iter.hasNext()) {            //  循环取出每一个上传文件<br />
FileItem item = this.files.get(iter.next()); //  依次取出每一个文件<br />
String fileName = new  IPTimeStamp(this.request.getRemoteAddr())<br />
.getIPTimeRand()<br />
+ "." +  item.getName().split(".")[1];<br />
saveFile = new File(saveDir +  fileName);     // 重新拼凑出新的路径<br />
names.add(fileName);             // 保存生成后的文件名称<br />
try {<br />
input =  item.getInputStream();             // 取得InputStream<br />
out =  new FileOutputStream(saveFile);     // 定义输出流保存文件<br />
int temp  = 0;                            // 接收每一个字节<br />
while ((temp =  input.read()) != -1) {     // 依次读取内容<br />
out.write(temp);         // 保存内容<br />
}<br />
}  catch (IOException e) {         // 捕获异常<br />
throw  e;                    // 异常向上抛出<br />
} finally  {                     // 进行最终的关闭操作<br />
try  {<br />
input.close();            //  关闭输入流<br />
out.close();            //  关闭输出流<br />
} catch (IOException e1)  {<br />
throw e1;<br />
}<br />
}<br />
}<br />
}<br />
return  names;                            // 返回生成后的文件名称<br />
}<br />
}<br />
<br /> </p>
<p>上面代码便可以完成无组件上传。</p>
<p>下面开始讲解smartupload</p>
<p>smartupload是由www.jspsmart.com网站开发的一套上传组件包，可以轻松的实现文件的上传及下载功能，smartupload组件使用简单、可以轻松的实现上传文件类型的限制、也可以轻易的取得上传文件的名称、后缀、大小等。</p>
<p>smartupload本身是一个系统提供的jar包（smartupload.jar），用户直接将此包放到classpath下即可，也可以直接将此包拷贝到TOMCAT_HOMElib目录之中。</p>
<p>下面使用组件完成上传</p>
<p>单一文件上传：</p>
<p>代码如下:<br />
&lt;html&gt;<br />
&lt;head&gt;&lt;title&gt;smartupload组件上传&lt;/title&gt;<br />
&lt;meta  http-equiv="Content-Type" content="text/html; charset=utf-8"  /&gt;&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;form action="smartupload_demo01.jsp"  method="post" enctype="multipart/form-data"&gt;<br />
图片&lt;input type="file"  name="pic"&gt;<br />
&lt;input type="submit"  value="上传"&gt;<br />
&lt;/form&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;<br />
<br /> </p>
<p>jsp代码：</p>
<p>smartupload_demo01.jsp</p>
<p>代码如下:<br />
&lt;%@ page contentType="text/html"  pageEncoding="utf-8"%&gt;<br />
&lt;%@ page import="com.jspsmart.upload.*"  %&gt;<br />
&lt;html&gt;<br />
&lt;head&gt;&lt;title&gt;smartupload组件上传01&lt;/title&gt;&lt;/head&gt;<br />
<br /> </p>
<p>&lt;body&gt;<br />
&lt;%<br />
SmartUpload smart = new SmartUpload() ;<br />
smart.initialize(pageContext) ;    // 初始化上传操作<br />
smart.upload();        //  上传准备<br />
smart.save("upload") ;    // 文件保存<br />
out.print("上传成功");<br />
%&gt;</p>
<p>&lt;/body&gt;<br />
&lt;/html&gt;</p>
<p> </p>
<p>批量上传：</p>
<p>html文件</p>
<p> </p>
<p>代码如下:<br />
&lt;html&gt;<br />
&lt;head&gt;&lt;title&gt;smartupload组件上传02&lt;/title&gt;<br />
&lt;meta  http-equiv="Content-Type" content="text/html; charset=utf-8"  /&gt;&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;form action="smartupload_demo02.jsp"  method="post" enctype="multipart/form-data"&gt;<br />
图片&lt;input type="file"  name="pic1"&gt;&lt;br&gt;<br />
图片&lt;input type="file"  name="pic2"&gt;&lt;br&gt;<br />
图片&lt;input type="file"  name="pic3"&gt;&lt;br&gt;<br />
&lt;input type="submit" value="上传"&gt;<br />
&lt;input type="reset"  value="重置"&gt;<br />
&lt;/form&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;<br />
<br /> </p>
<p>jsp代码</p>
<p>smartupload_demo02.jsp</p>
<p>代码如下:<br />
&lt;%@ page contentType="text/html"  pageEncoding="utf-8"%&gt;<br />
&lt;%@ page  import="com.jspsmart.upload.*"%&gt;<br />
&lt;%@ page  import="com.zhou.study.*"%&gt;<br />
&lt;html&gt;<br />
&lt;head&gt;&lt;title&gt;smartupload组件上传02&lt;/title&gt;&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;%<br />
SmartUpload smart = new SmartUpload() ;<br />
smart.initialize(pageContext)  ;    // 初始化上传操作<br />
smart.upload() ;            // 上传准备<br />
String name =  smart.getRequest().getParameter("uname") ;<br />
IPTimeStamp its = new  IPTimeStamp("192.168.1.1") ;    // 取得客户端的IP地址<br />
for(int  x=0;x&lt;smart.getFiles().getCount();x++){<br />
String ext =  smart.getFiles().getFile(x).getFileExt() ;    // 扩展名称<br />
String fileName  = its.getIPTimeRand() + "." + ext ;<br />
smart.getFiles().getFile(x).saveAs(this.getServletContext().getRealPath("/")+"upload"+java.io.File.separator  + fileName) ;<br />
}<br />
out.print("上传成功");<br />
%&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;<br />
<br /> </p>
<p>注意：在TOMCAT_HOME/项目目录下建立upload文件夹才能正常运行！</p>
<p>简单上传操作上传后的文件名称是原本的文件名称。可通过工具类重命名。</p>
<p>另附上重命名工具类。</p>
<p>代码如下:<br />
package com.zhou.study ;<br />
import  java.text.SimpleDateFormat ;<br />
import java.util.Date ;<br />
import  java.util.Random ;<br />
public class IPTimeStamp {<br />
private SimpleDateFormat  sdf = null ;<br />
private String ip = null ;<br />
public  IPTimeStamp(){<br />
}<br />
public IPTimeStamp(String ip){<br />
this.ip  = ip ;<br />
}<br />
public String getIPTimeRand(){<br />
StringBuffer  buf = new StringBuffer() ;<br />
if(this.ip != null){<br />
String  s[] = this.ip.split(".") ;<br />
for(int  i=0;i&lt;s.length;i++){<br />
buf.append(this.addZero(s[i],3))  ;<br />
}<br />
}<br />
buf.append(this.getTimeStamp())  ;<br />
Random r = new Random() ;<br />
for(int  i=0;i&lt;3;i++){<br />
buf.append(r.nextInt(10)) ;<br />
}<br />
return buf.toString() ;<br />
}<br />
public String  getDate(){<br />
this.sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS")  ;<br />
return this.sdf.format(new Date()) ;<br />
}<br />
public String  getTimeStamp(){<br />
this.sdf = new SimpleDateFormat("yyyyMMddHHmmssSSS")  ;<br />
return this.sdf.format(new Date()) ;<br />
}<br />
private String  addZero(String str,int len){<br />
StringBuffer s = new StringBuffer()  ;<br />
s.append(str) ;<br />
while(s.length() &lt;  len){<br />
s.insert(0,"0") ;<br />
}<br />
return  s.toString() ;<br />
}<br />
public static void main(String  args[]){<br />
System.out.println(new IPTimeStamp().getIPTimeRand())  ;<br />
}<br />
}<br />
<br /> </p>
<p>附上使用方法：</p>
<p>代码如下:<br />
&lt;html&gt;<br />
&lt;head&gt;&lt;title&gt;smartupload上传文件重命名&lt;/title&gt;<br />
&lt;meta  http-equiv="Content-Type" content="text/html; charset=utf-8" /&gt;  &lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;form action="smartupload_demo03.jsp"  method="post" enctype="multipart/form-data"&gt;<br />
姓名&lt;input type="text"  name="uname"&gt;&lt;br&gt;<br />
照片&lt;input type="file"  name="pic"&gt;&lt;br&gt;<br />
&lt;input type="submit" value="上传"&gt;<br />
&lt;input type="reset"  value="重置"&gt;<br />
&lt;/form&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;<br />
<br /> </p>
<p>Jsp代码：</p>
<p>smartupload_demo03.jsp</p>
<p>代码如下:<br />
&lt;%@ page contentType="text/html"  pageEncoding="utf-8"%&gt;<br />
&lt;%@ page import="com.jspsmart.upload.*"  %&gt;<br />
&lt;%@ page  import="com.zhou.study.*"%&gt;<br />
&lt;html&gt;<br />
&lt;head&gt;&lt;title&gt;smartupload&lt;/title&gt;&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;%<br />
SmartUpload smart = new SmartUpload() ;<br />
smart.initialize(pageContext)  ;    //初始化上传操作<br />
smart.upload() ;    // 上传准备<br />
String name =  smart.getRequest().getParameter("uname") ;<br />
String str = new  String(name.getBytes("gbk"), "utf-8");    //传值过程中出现乱码，在此转码<br />
IPTimeStamp  its = new IPTimeStamp("192.168.1.1") ;    // 取得客户端的IP地址<br />
String ext =  smart.getFiles().getFile(0).getFileExt() ;    // 扩展名称<br />
String fileName =  its.getIPTimeRand() + "." + ext ;<br />
smart.getFiles().getFile(0).saveAs(this.getServletContext().getRealPath("/")+"upload"+java.io.File.separator  + fileName) ;  <br />
out.print("上传成功");<br />
%&gt;<br />
<br /> </p>
<p>&lt;h2&gt;姓名：&lt;%=str%&gt;&lt;/h2&gt;<br />
&lt;img  src="upload/&lt;%=fileName%&gt;"&gt;  <br />
&lt;/body&gt;<br />
&lt;/html&gt;</p>
<p> </p>
<p>希望本文所述对大家的jsp程序设计有所帮助。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 02:51:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9/" title="内容">内容</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/this/" title="this">this</a>, <a href="https://www.iamivan.net/tag/java%e4%b8%8a%e4%bc%a0/" title="java上传">java上传</a>, <a href="https://www.iamivan.net/tag/java%e6%96%87%e4%bb%b6%e4%b8%8a%e4%bc%a0/" title="java文件上传">java文件上传</a>, <a href="https://www.iamivan.net/tag/java-extfile%e4%b8%8a%e4%bc%a0%e6%95%b0%e6%8d%ae%e5%ba%93new/" title="java extfile上传数据库new">java extfile上传数据库new</a>, <a href="https://www.iamivan.net/tag/maxsize/" title="maxsize">maxsize</a>, <a href="https://www.iamivan.net/tag/smartupload/" title="smartupload">smartupload</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e7%89%87%e4%b8%8a%e4%bc%a0java/" title="图片上传java">图片上传java</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8a%e4%bc%a0%e6%96%87%e4%bb%b6%e5%bc%82%e5%b8%b8/" title="上传文件异常">上传文件异常</a>, <a href="https://www.iamivan.net/tag/java%c2%a0%e5%9b%be%e7%89%87%c2%a0%c2%a0%e4%bf%9d%e5%ad%98/" title="java&nbsp;图片&nbsp;&nbsp;保存">java&nbsp;图片&nbsp;&nbsp;保存</a>, <a href="https://www.iamivan.net/tag/java-%e6%96%87%e4%bb%b6%e4%b8%8a%e4%bc%a0/" title="java 文件上传">java 文件上传</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java使用smartupload组件实现文件上传的方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jP13p.html" rel="bookmark">java使用smartupload组件实现文件上传的方法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了java使用smartupload组件实现文件上传的方法.分享给大家供大家参考.具体分析如下: 文件上传几乎是所有网站都具有的功能,用户可以将文件上传到服务器的指定文件夹中,也可以保存在数据库中,这里主要说明smartupload组件上传. 在讲解smartupload上传前,我们先来看看不使用组件是怎么完成上传的原理的? 废话不多说直接上代码: 复制代码 代码如下: import java.io.*; import java.util.*; import javax.servle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr27OmM.html" rel="bookmark">java组件commons-fileupload文件上传示例&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件上传在Web应用中非常普遍,要在Java Web环境中实现文件上传功能非常容易,因为网上已经有许多用Java开发的组件用于文件上传,本文以使用最普遍的commons-fileupload组件为例,演示如何为Java Web应用添加文件上传功能. commons-fileupload组件是Apache的一个开源项目之一,可以从http://commons.apache.org/fileupload/下载.该组件简单易用,可实现一次上传一个或多个文件,并可限制文件大小. 下载后解压zip包,将c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAWEZz.html" rel="bookmark">我终于用aspSmartUpload&period;dll组件实现文件上传了！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上传 终于用该网站的aspSmartUpload.dll组件实现文件上传了,操作简单,我的系统是Windows98se+Pws4.0.我在该网站&quot;资源下载-ASP源码下载-文件传输&quot;中下载了一个资源aspsmartupload.zip,解压后,里面有例程Sample.htm.Sample.asp和组件aspSmartUpload.dll.aspSmartUploadUtil.dll,操作很简单. 第一步:注册组件,把aspSmartUpload.dll和aspSmartUploadUt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXkZqp.html" rel="bookmark">java-请问Java怎样实现跨服务器文件上传？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问Java怎样实现跨服务器文件上传? 请问Java怎样实现跨服务器文件上传? 文件信息保存在web服务器数据库中,文件保存在另一台机器. 解决方案 另一台机器也要有处理文件上传的WEB程序,你可以参考Stream上传插件(支持HTML5和Flash两种方式上传)http://www.twinkling.cn/ 指定跨域上传就可以了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1gXOz.html" rel="bookmark">java的smartupload在iPhone浏览器上传的问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java的smartupload在iPhone浏览器上传的问题? 问一下大家,遇到一个问题,java的smartupload,在IPHONE通过浏览器上传图片,所有上传的图片名都是image,多张上传照片会导致后一张会覆盖前一张照片.大家有没有碰到过?怎么解决的啊?谢谢大家了 解决方案 我不懂Java,但此类问题我的思路是上传后重命名,我一般用时间+随机字符串的方式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLOnDM.html" rel="bookmark">java Struts2框架下实现文件上传功能&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了Struts2框架实现文件上传的方法,供大家参考,具体内容如下 struts2的配置过程 (1)在项目中加入jar包     (2)web.xml中filter(过滤器)的配置 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;web-app version=&quot;2.5&quot; xmlns=&quot;http://java.sun.com/xml/ns/javaee&quot; xml			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NPEob.html" rel="bookmark">asp 利用文件上传组件upload&lowbar;5xsoft文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们是利用upload文件上传组件进行文件上传哦. &lt;%Server.ScriptTimeOut=5000%&gt; &lt;!--#include file=&quot;conn.asp&quot;--&gt; &lt;!--#include FILE=&quot;upload_5xsoft.inc&quot;--&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;文件上传&lt;/title&gt; &lt;link rel=&quot;stylesheet&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW0PGp.html" rel="bookmark">Java Socket&plus;mysql实现简易文件上传器的代码&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近跟着某网站学习了一个小项目,因为白天有课,所以都是晚上写的,今天把它完成了. 项目主要是实现一个文件上传器,通过客户端的登陆,把本地文件上传到服务器的数据库(本地的). 首先建两个表如下: 一个文件信息表 CREATE TABLE `fileinfo` ( `Fname` char(50) NOT NULL, `FInfo` blob NOT NULL, `FId` int(10) NOT NULL AUTO_INCREMENT, PRIMARY KEY (`FId`) ) ENGINE=I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0wv1p.html" rel="bookmark">servlet&plus;JSP&plus;mysql实现文件上传的方法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了servlet+JSP+mysql实现文件上传的方法.分享给大家供大家参考,具体如下: 一.文件上传的基本操作: 1. 表单属性enctype的设置 multipart/form-data和application/x-www-form-urlencoded的区别 FORM元素的enctype属性指定了表单数据向服务器提交时所采用的编码类型,默认的缺省值是&quot;application/x-www-form-urlencoded&quot;. 然而,在向服务器发送大量的文本.包含非ASCI			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLm1Lz.html" rel="bookmark" class="title">JS通过分析userAgent属性来判断浏览器的类型及版本</a>
					<div>
						 JavaScript是前端开发的主要语言,我们可以通过编写JavaScript程序来判断浏览器的类型及版本.JavaScript判断浏览器类型一般有两种办法,一种是根据各种浏览器独有的属性来分辨,另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnnwrp.html" rel="bookmark" class="title">GOLIVE5&period;0教程（四十四）</a>
					<div>
						教程 4.5 控制多个物件的相对位置 前面所述的对齐操作仅是GoLive 5提供的部分对齐功能.若要了解所有的对齐功能,可以进入Align(排列)面板,参见图4-26.在这个面板中,当前可以使用的选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPLJAp.html" rel="bookmark" class="title">新手指南：Jsp开发环境配置全过程</a>
					<div>
						js|过程 在配置Jsp开发环境的过程中会碰到不少问题,感谢许多前辈经验总结性的文章对我来说简直是雪中送碳,为了帮助像我一样的初学者,在此总结了不少作者的经验,非常感谢他们的无私奉献精神,也希望更多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJmaDp.html" rel="bookmark" class="title">不用Cookie的防刷新二级高亮菜单特效</a>
					<div>
						菜单高亮效果是每个网页经常采用的设计方式,它能有效地让用户知道自己当前所在的栏目 这也是我经常采用的方式,一般的网页至少都有两级菜单,第一个是顶部的总导航条菜单,另一个是左侧的分类导航菜单.一般要求在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxOdPb.html" rel="bookmark" class="title">javascript电子邮件&lpar;email&rpar;验证</a>
					<div>
						javascript function checkemail(){if (&quot;&quot; == document.lyform.email.value) {alert(&quot;请输入邮件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNLRmz.html" rel="bookmark" class="title">Javascript代码混淆综合解决方案</a>
					<div>
						javascript|解决 Javascript 代码混淆的目的 Javascript 是一种解释执行的脚本语言,主要应用于 Web 领域的客户端的浏览器中:由于 Javascript 解释执行的特性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO8y9b.html" rel="bookmark" class="title">Java Learn Steps</a>
					<div>
						我个人的经验,学习java应分以下几个阶段: java的语法学习 面向对象观念的建立 java基本类库的学习 学习设计模式 应用设计模式 经过大量的实践,可以设计模式 以上六个阶段,其中前三个阶段是针 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boDvjM.html" rel="bookmark" class="title">春节期间对各网站的一些建议</a>
					<div>
						春节 站长回家过年了,网民也大多回去过年了,网站流量在低谷期,怎么能迅速纂取流量和用户呢.本站有一些建议.  1)中小网站.不可不更新,无论你跑网吧还是在家里,别忘记更新内容.几天的春节期间,大家都不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7KQAz.html" rel="bookmark" class="title">浅析新浪博客的优化方法</a>
					<div>
						怎么优化博客,是一个很历史悠久的seo问题,不过通过下面的案例就能真正懂的如何做博客优化.很多人都在说博客已经很泛滥了,有哪个seo站长没十几二十个博客,数量固然重要,不收录百度都没有你的博客,再多也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7e4Xb.html" rel="bookmark" class="title">新浪微博如何管理地图模块？</a>
					<div>
						  第一步:进入企业主页,点击主页左侧导航中的&quot;地图&quot;选项,进入地图页面; 第二步:鼠标触动地图时在右上方将会出现&quot;管理&quot;入口.点击&quot;管理&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaZBvM.html" rel="bookmark" class="title">图片不存在使用默认图片代替的实例&lowbar;实用技巧</a>
					<div>
						web.config: 复制代码 代码如下: &lt;configuration&gt;  &lt;appSettings&gt;    &lt;add key=&quot;dmPic&quot; v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6W4jb.html" rel="bookmark" class="title">请问可以在不预先关机vm情况下，直接点击面板的&OpenCurlyDoubleQuote;重新启动&rdquo;按钮吗？</a>
					<div>
						问题描述 请问可以在不预先关机vm情况下,直接点击面板的&quot;重新启动&quot;按钮吗? 请问可以在不预先关机vm情况下,直接点击面板的&quot;重新启动&quot;按钮吗? 解决方案 您好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQZQnp.html" rel="bookmark" class="title">Promise机制的深入研究</a>
					<div>
						上一篇文章只是简单的对promise原理有个简单的实现,这次增加了 all方法,同时调用多次异步请求 对resolve和reject方法进行了重构,增加了对多个异步调用的处理 对promse进行了改造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7DYop.html" rel="bookmark" class="title">老鱼看会：低调才是最牛逼的炫耀！</a>
					<div>
						文章讲的是老鱼看会:低调才是最牛逼的炫耀!一群平均年龄只有27岁的年轻人,创造了一款每天有200万人使用的产品,并创造了年近2亿元的销售额,却低调的鲜为人知! ▲题图来自帆软吉祥物:悟帆 &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE5e4p.html" rel="bookmark" class="title">使用系统自带windows图片查看器打开图片</a>
					<div>
						代码如下: System.Diagnostics.Process process = new System.Diagnostics.Process(); process.StartInfo.FileN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5YPBM.html" rel="bookmark" class="title">云中部署虚拟机镜像法则</a>
					<div>
						启动和停止虚拟机是使用云计算资源的例行公事.在云中部署虚拟机有两个基本的选项:客户可以拷贝一个预先配置好的虚拟机镜像(也被称为最终版),或者他们可以按照需求装配一个自定义的虚拟机镜像. 要启用一个虚拟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKeL0z.html" rel="bookmark" class="title">最新研究表明比特币安全性令人堪忧</a>
					<div>
						你现在还对比特币交易有意向吗?如果你对比特币交易感兴趣,那么请阅读下文吧,相信对你会很有帮助. 百科:比特币钱包 比特币(BitCoin)的概念最初由&quot;中本聪&quot;(目前还不清楚具体是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe7Avb.html" rel="bookmark" class="title">FormView 子控件的text值</a>
					<div>
						问题描述 &lt;asp:FormViewID=&quot;FormView1&quot;runat=&quot;server&quot;DataSourceID=&quot;AccessDataSo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBmgYz.html" rel="bookmark" class="title">华为FusionCube从融合到超融合 只为让计算变简单</a>
					<div>
						当今,商业环境变化不断加快,商业驱动力无法得到有效支撑的话,企业会处于竞争劣势.随着云计算时代的来临,商业环境中超过半数的x86服务器已经应用了虚拟化技术.虚拟化技术降低了成本,提升了资源利用率并带来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBme7z.html" rel="bookmark" class="title">天猫内测书城</a>
					<div>
						[TechWeb报道]4月24日消息,据知情人士称,天猫正内测书城,将首批当当网将入驻,未来将引入更多拥有图书优质资源的商家. 知情人士称,天猫目前正与当当网洽谈.&quot;天猫书城也不会只有当当一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRmAkp.html" rel="bookmark" class="title">看流量来路分析来源网站用户粘性</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;           7月27日的凌晨我的 独立博客正式推出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JqD3z.html" rel="bookmark" class="title">一个程序员的四年经历反思（转）</a>
					<div>
						  悟已往之不谏 四年过去了,人去团空.但是那年的人那年的事,记忆犹新.那年,在邹老师的指导下,我从一个人战斗,学会了怎么和团队合作.从那以后,我基本上都是在和别人合作.真切地感受了Team的重要性. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRdeZp.html" rel="bookmark" class="title">机器设备的一双&rdquo;慧眼&rdquo; 解读机器视觉技术应用</a>
					<div>
						移动互联网.智能手机以及社交网络的发展带来了海量图片信息, 当下机器视觉技术已经渗入到我们的日常生活中,从手机里的美颜APP面目识别功能.人脸相册分类,到支付宝面部识别身份验证.储物柜人脸识别,以及工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwej3M.html" rel="bookmark" class="title">掘金三季报行情 从业绩预增股中&OpenCurlyDoubleQuote;淘宝&rdquo;</a>
					<div>
						Nhttp://www.aliyun.com/zixun/aggregation/79250.html&quot;&gt;本报记者 林可 核心提示:随着本周中小板公司鲁丰股份(002379,股吧)&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNaydM.html" rel="bookmark" class="title">【转】小生我怕怕工具包&lbrack;2010&period;06&period;17&rsqb;（转自52破解论坛）</a>
					<div>
						该破解工具包是52破解论坛的斑竹小生我怕怕搜集制作,喜欢的可以下了啊------------------------------------------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYYgAb.html" rel="bookmark" class="title">PHP 文件上传进度条的两种实现方法的代码&lowbar;php技巧</a>
					<div>
						目前我知道的方法有两种,一种是使用PHP的创始人 Rasmus Lerdorf 写的APC扩展模块来实现(http://pecl.php.net/package/apc),另外一种方法是使用PECL扩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEmq5z.html" rel="bookmark" class="title">js 检测浏览器对样式的支持方法</a>
					<div>
						js 检测浏览器对样式的支持方法 var getstyleproperty = (function(){          var prefixes = ['', '-ms-','-moz-', '- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N0g9b.html" rel="bookmark" class="title">PHP过滤器的实现方法第1&sol;2页&lowbar;php技巧</a>
					<div>
						PHP 过滤器用于验证和过滤来自非安全来源的数据,比如用户的输入. 什么是 PHP 过滤器? PHP 过滤器用于验证和过滤来自非安全来源的数据. 验证和过滤用户输入或自定义数据是任何 Web 应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZDykz.html" rel="bookmark" class="title">jQuery&plus;formdata实现上传进度特效遇到的问题&lowbar;jquery</a>
					<div>
						总结我做HTML5文件上传插件遇到的技术问题 先贴上源码:fileupload-html5.js(PS:公司使用seajs框架) 问题列表 1. JQUERY.AJAX没有监听上传进度的ONPROGR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NqQob.html" rel="bookmark" class="title">一个普通用户向你报告IM体验</a>
					<div>
						武汉重度污染,太阳都被遮住了,不敢出门,无聊之余,将自己使用各种通信应用的体会写一写.我自己是对互联网科技重度痴迷,喜欢尝试各种新东西.天天网络上充满的都是各种市场占有率啥的分析,我就想,市场占有率跟 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
